#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define app_name epam

Name:           erlang-%{app_name}
Version:        1.0.5
Release:        1.3
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
License:        GPL-2.0
Summary:        Erlang pam bindings
Url:            http://github.com/processone/epam
Group:          Development/Libraries/Other
Source:         %{app_name}-%{version}.tar.xz
Requires:       erlang
BuildRequires:  erlang
BuildRequires:  erlang-rebar
BuildRequires:  pam-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       erlang-p1_pam = %{version}-%{release}
Obsoletes:      erlang-p1_pam < %{version}
Provides:       %{name}-devel = %{version}-%{release}
%description
P1 pam provides PAM bindings for ejabberd

%prep
%setup -q -n %{app_name}-%{version}

%build
%rebar compile

%install
for dir in ebin priv ; do
  mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done

%check
%rebar eunit

%files
%defattr(-,root,root)
%doc LICENSE.txt README.md
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam
%{erlang_libdir}/%{app_name}-%{app_ver}/priv

%changelog
* Tue Mar  5 2019 obs-service-tar-scm@invalid
- Update to version 1.0.5:
  * Release 1.0.5
  * Update changelog
  * Change detection of path where executable is placed
  * Add CoC and contribution guide
  * Update copyright to 2019 (processone/ejabberd#2756)
* Mon Jul 10 2017 mrueckert@suse.de
- added devel package provides
* Sun Jul  9 2017 mrueckert@suse.de
- Update to version 1.0.3:
  * Adding support for PAM_RHOST
  * Fixed a syntax problem
  * Preparing hex.pm release
  * Update README.md
  * Add CHANGELOG
  * Update rebar.config.script
  * Add vars.config.in file that i forgot to add in last commit
  * Use new app name when searching for priv dir
  * Prepare 1.0.2 release
  * Add configure file to hex.pm
  * Release 1.0.3
* Wed Jun 29 2016 mrueckert@suse.de
- update to f0d6588
* Thu Nov 26 2015 mrueckert@suse.de
- update to 0.1.0+git1424702753.d3ce290
* Sat Jul  5 2014 mrueckert@suse.de
- cleanup
  - added proper description and summary
  - install documentation
  - use the timestamp from the last git commit
* Fri Jul  4 2014 mrueckert@suse.de
- initial package
